Subject: Re: bug#27080: ¨make install" fails because of missing gawk

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 26 May 2017 16:56:25 +0200

Konrad Hinsen <[email-masked]> writes:

> Hi Ricardo,
>
> Thanks for your reply!
>
>> You did not run “./configure --localstatedir=/var”.
>
> I did, in an earlier cycle. More precisely, I did
>
>     ./configure --prefix=/opt/guix --localstatedir=/var
>
> in order to prevent Guix from overwriting some of Ubuntu's system files.

Guix will not overwrite any system files.  It only writes to /gnu,
/var/guix, and /etc/guix.

> In order to start from a clean slate, I now did
>
>    guix environment guix
>    make distclean
>    ./bootstrap
>    ./configure --prefix=/opt/guix --localstatedir=/var
>    make check
>    sudo make install

[…]
> Conclusion: something is going wrong in configure.

No, the configure script is probably okay.  Maybe something’s up with
your environment.  Have you tried “guix environment --pure guix”?

-- 
Ricardo
  
  GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
  https://elephly.net